Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class UnitInstance

    java.lang.Object
      rdlc.naming.Catalog<java.lang.String,V>
          rdlc.naming.HierarchicalCatalog<Field>
              rdlc.rdl.Instance
                  rdlc.rdl.UnitInstance

All Implemented Interfaces:
  Expression, Field

    public class UnitInstance

extends Instance

Represents a unit instances declared inside of a hierarchical unit. Notice that while there is an instance for each unit declaration, there is also a copy of that instance for each instantiation of that unit. This means that each unit declaration represents the root of a tree of instances containing all the unit instances which in the RAMP emulation would be structurally instantiated.

Version:
  $Revision: 1.22 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class rdlc.rdl.Instance
`Instance.Accessor, Instance.Identifier, Instance.LateBindField, Instance.QualifiedIdentifier`

Nested classes/interfaces inherited from class rdlc.naming.HierarchicalCatalog
`HierarchicalCatalog.DefaultAccessor<_V>`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>>` | `addConnList` The connections which remain to be made.
`protected java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>>` | `connList` Connection list for this instance.

Fields inherited from class rdlc.rdl.Instance
`bound, copied, copySource, dynRoot, lateBindFieldList, namespace, resolved`

Fields inherited from class rdlc.naming.HierarchicalCatalog
`cachedIdentifier, cachedRoot, name, parent`

Fields inherited from class rdlc.naming.Catalog
`entryList, indexTable`

Constructor Summary
`UnitInstance(java.lang.String _name, UnitInstance _unitInstance)`
`UnitInstance(java.lang.String _name, Unit _unit, java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>> _connList)` Simple constructor, merely records it's arguments.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Adds connectin list resolution to `Expression.resolve(HashSet, Log, Phase)`.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Instance
`add, add, bindFields, copySubInstance, createIdentifier, getDynRoot, getRequirements, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class rdlc.naming.HierarchicalCatalog
`connectParent, getIdentifier, getName, getParent, getRoot, hashCode`

Methods inherited from class rdlc.naming.Catalog
`clear, containsKey, entryList, get, get, getKey, isEmpty, keySet, put, put, putAll, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier`

Field Detail

### connList

    protected java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>> connList

  Connection list for this instance. Records all of the port/channel connections which are positional or named (as opposed to external).

### addConnList

    protected java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>> addConnList

  The connections which remain to be made.

Constructor Detail

### UnitInstance

    public UnitInstance(java.lang.String _name,
                        Unit _unit,
                        java.util.List<Pair<RawDynamicIdentifier,RawDynamicIdentifier>> _connList)

  Simple constructor, merely records it's arguments.

  Parameters:
    `_name` - The name of this instance in the enclosing instance.
    `_unit` - The unit which is being instantiated.
    `_connList` - The connection list to be recorded.
  See Also:
    `Instance.Instance(String, DynRoot)`

### UnitInstance

    public UnitInstance(java.lang.String _name,
                        UnitInstance _unitInstance)

See Also:
  `Instance.Instance(String, Instance, boolean)`

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Instance`
  Returns:
    A human readable representation of this map for debugging.

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Adds connectin list resolution to `Expression.resolve(HashSet, Log, Phase)`.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Instance`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD